Update (PUT) User

Replace all updatable attributes on a user.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Warning

Use caution when using this endpoint. This will replace the existing user record with the attributes passed in the request body. If an attribute is not present in the request body, its value will be cleared or unset to a system default value:

  • If the active attribute is not present, it will be set to false.
  • If the name.givenName attribute is not present, it will be cleared.
  • If the name.familyName attribute is not present, it will be cleared.
  • If ik12Roles is not present and the user extension schema is included in the schemas attribute, the user's roles will be cleared.

Required Attributes

  • The userName attribute is required and must match the email of the user to be updated. This attribute cannot be changed.
  • The schemas attribute is required and the core user schema urn:ietf:params:scim:schemas:core:2.0:User must be included.

User Activation

When the active attribute is set to true:

  • If the user has ever been activated in the past, then their status will be set to activated.
  • Otherwise, the user's status will be set to invited, and an invite email will be sent to the email address specified by userName.

When the active attribute is set to false, then the user's status will be set to deactivated.

Updating IK12 Roles

  • Informed K12 roles will only be updated when the user extension schema urn:ietf:params:scim:schemas:extension:informedk12:2.0:User is included in the schemas attribute.

  • Informed K12 roles can be updated in the following ways:

    {
      "urn:ietf:params:scim:schemas:extension:informedk12:2.0:User": {
        "ik12Roles": ["form_creator"]
      }
    }
    {
      "urn:ietf:params:scim:schemas:extension:informedk12:2.0:User:ik12Roles": ["form_creator"]
    }
  • Supported ik12Roles values: form_admin, form_creator, form_publisher, user_admin

  • Informed K12 roles will be replaced by the values passed in the request body. For example, if a user currently has user_admin and form_publisher roles, the following request will remove the user_admin and form_publisher roles and set the user's roles to be just form_creator:

    {
      "urn:ietf:params:scim:schemas:extension:informedk12:2.0:User": {
        "ik12Roles": ["form_creator"]
      }
    }
Path Params
integer
required

The user ID

Body Params
string
required

A unique identifier for the user. userName must be an email. This corresponds to the user's email in Informed K12.

boolean

A boolean value that indicates whether the user has an active or deactivated status. false corresponds to the "deactivated" status in Informed K12. All other Informed K12 user statuses map to true.

name
object
urn:ietf:params:scim:schemas:extension:informedk12:2.0:User
object

The Informed K12 user extension schema. This defines additional user properties that do not fit within the core SCIM user schema.

schemas
array of strings
required

An array of schemas that are affected by this request or included in this response. The core user schema, "urn:ietf:params:scim:schemas:core:2.0:User", must be included.

schemas*
Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/scim+json